# If you use Bourne shell derivatives (eg. Bash), source this file to set up
# your environment to use lscsoft software.

LSCSOFT_PREFIX=/opt/lscsoft
export LSCSOFT_PREFIX

echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
echo "+"

for directory in libmetaio libframe ; do
	if [ -d "${LSCSOFT_PREFIX}/${directory}" ] ; then
		PATH=${LSCSOFT_PREFIX}/${directory}/bin:${PATH}
		PKG_CONFIG_PATH=${LSCSOFT_PREFIX}/${directory}/lib/pkgconfig:${PKG_CONFIG_PATH}
		LD_LIBRARY_PATH=${LSCSOFT_PREFIX}/${directory}/lib:${LD_LIBRARY_PATH}
		MANPATH=${LSCSOFT_PREFIX}/${directory}/man:${MANPATH}
		export PATH PKG_CONFIG_PATH LD_LIBRARY_PATH MANPATH
		echo "+  ${directory}:			${LSCSOFT_PREFIX}"
	fi
done

if [ -d "${LSCSOFT_PREFIX}/lal" ] ; then 
	LAL_LOCATION=${LSCSOFT_PREFIX}/lal
	export LAL_LOCATION	
	source ${LAL_LOCATION}/etc/lal-user-env.sh
	echo "+  lal:				${LSCSOFT_PREFIX}"
fi

echo "+"
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
